<?php

/** 
 * Ceon URI Mappings Manager Admin Create/Manage Categories/Products URIs Listing Language Defines.
 *
 * @package     ceon_uri_mappings_manager
 * @author      Conor Kerr <zen-cart.uri-mappings-manager@ceon.net>
 * @copyright   Copyright 2011-2012 Ceon
 * @copyright   Copyright 2003-2007 Zen Cart Development Team
 * @copyright   Portions Copyright 2003 osCommerce
 * @link        http://ceon.net/software/business/zen-cart/uri-mappings-manager
 * @license     http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version     $Id: ceon_umm_create_manage_categories_products.php 1059 2012-10-01 16:43:34Z conor $
 */

/**
 * Defines for the category listing section
 */
define('TEXT_CATEGORY_PRODUCT_MAPPINGS_TITLE', 'Category/Product Mappings');

define('TEXT_CATEGORY_PRODUCT_MAPPINGS_INTRO', 'In this section of the URI Mappings Manager you can browse the store\'s categories and products, to see any current mappings for a category/product and to see what mapping template applies for any category/product.');

define('TEXT_CATEGORY_PRODUCT_MAPPINGS_INTRO_AUTOGENERATE_BUTTONS', 'You can use the main &ldquo;auto-generation&rdquo; buttons to generate mappings for <span class="Underlined">the selected categories and <strong>all</strong> of their subcategories and <strong>all</strong> of the products within</span>, or to generate for <span class="Underlined">the selected categories and their subcategories <strong>only</strong></span> (leaving the products within alone).');
define('TEXT_CATEGORY_PRODUCT_MAPPINGS_INTRO_CATEGORY_CONTROLS', 'Or you can use the specific buttons for each category to edit/delete mappings for the category, or to set, change or remove mapping templates for the category.');

define('TEXT_SELECTED_CATEGORIES_AND_ALL_PRODUCTS', 'Selected categories and <strong>all</strong> their products');
define('TEXT_SELECTED_CATEGORIES_BUT_NOT_PRODUCTS', 'Selected categories but not any products');
define('TEXT_INC_DISABLED_CATEGORIES_PRODUCTS', 'Include disabled categories/products');

define('TEXT_AUTOGENERATE_CATEGORIES_URI_MAPPINGS_BUTTON_HOVER_INFO', 'Click this button to have the software generate URI Mappings for the selected categories, including all the subcategories within these categories and, depending on the selection above, any products within any subcategory. Any existing mappings will remain unless the category/product name has changed, or the template for the mapping has changed, in which case the respective mapping will be updated accordingly.');

define('TEXT_ROOT_CATEGORY', 'Main Site Categories');

define('TEXT_CURRENT_URI_MAPPING', 'Current URI Mapping:');
define('TEXT_CURRENT_URI_MAPPINGS', 'Current URI Mappings:');
define('TEXT_NO_CURRENT_MAPPING', 'No Current Mapping');

define('TEXT_DEFAULT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES', 'Default mapping template for categories:');
define('TEXT_DEFAULT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES', 'Default mapping templates for categories:');
define('TEXT_DEFAULT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES_PRODUCTS', 'Default mapping template for products:');
define('TEXT_DEFAULT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES_PRODUCTS', 'Default mapping templates for products:');

define('TEXT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES', 'Mapping template for subcategories of this category:');
define('TEXT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES', 'Mapping templates for subcategories of this category:');
define('TEXT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES_PRODUCTS', 'Mapping template for products within any subcategory of this category:');
define('TEXT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES_PRODUCTS', 'Mapping templates for products within any subcategory of this category:');

define('TEXT_PRODUCT_IN_CATEGORY', 'Product in %s');
define('TEXT_PRODUCTS_IN_CATEGORY', 'Products in %s');

define('TEXT_SUBCATEGORY_PRODUCT_IN_CATEGORY_DESC', 'As well as having a subcategory, this category has a product in it.');
define('TEXT_SUBCATEGORIES_PRODUCT_IN_CATEGORY_DESC', 'As well as having subcategories, this category has a product in it.');
define('TEXT_SUBCATEGORY_PRODUCTS_IN_CATEGORY_DESC', 'As well as having a subcategory, this category has products in it.');
define('TEXT_SUBCATEGORIES_PRODUCTS_IN_CATEGORY_DESC', 'As well as having subcategories, this category has products in it.');

define('TEXT_MANAGE_PRODUCT_IN_CATEGORY', 'Click here to manage/auto-generate the URI for the product in this category.');
define('TEXT_MANAGE_PRODUCTS_IN_CATEGORY', 'Click here to manage/auto-generate the URIs for the products in this category.');

define('TEXT_TICK_TO_SELECT_ALL_CATEGORIES', 'Tick this box to select all the categories below');
define('TEXT_TICK_TO_DESELECT_ALL_CATEGORIES', 'Tick this box to deselect any categories selected below');
define('TEXT_ID', 'ID');
define('TEXT_SUBCATEGORY', 'Subcategory');
define('TEXT_CATEGORY', 'Category');
define('TEXT_ACTIONS', 'Actions');

define('TEXT_TICK_TO_SELECT_CATEGORY', 'Tick this box to include this category, and all its subcategories and [possibly] any products, in the list to have their URI mappings auto-generated using the button at the top of this page.');

define('TEXT_CATEGORY_IS_DISABLED', 'Category is disabled');

define('TEXT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES', 'Mapping template for subcategories of this category:');
define('TEXT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES', 'Mapping templates for subcategories of this category:');
define('TEXT_MAPPING_TEMPLATE_FOR_SUBCATEGORIES_PRODUCTS', 'Mapping template for products within any subcategory of this category:');
define('TEXT_MAPPING_TEMPLATES_FOR_SUBCATEGORIES_PRODUCTS', 'Mapping templates for products within any subcategory of this category:');
define('TEXT_MAPPING_TEMPLATE_FOR_PRODUCTS', 'Mapping template for the products within this category:');
define('TEXT_MAPPING_TEMPLATES_FOR_PRODUCTS', 'Mapping templates for the products within this category:');

define('TEXT_CATEGORY_MANAGE_MAPPING', 'URI Mapping');
define('TEXT_CATEGORY_MANAGE_MAPPINGS', 'URI Mappings');
define('TEXT_CATEGORY_MANAGE_MAPPING_TEMPLATE', 'Mapping Template');
define('TEXT_CATEGORY_MANAGE_MAPPING_TEMPLATES', 'Mapping Templates');

define('TEXT_CATEGORY_MANAGE_MAPPING_HOVER_INFO', 'Manually edit the mapping for this category');
define('TEXT_CATEGORY_MANAGE_MAPPINGS_HOVER_INFO', 'Manually edit the mappings for this category');
define('TEXT_CATEGORY_MANAGE_MAPPING_TEMPLATE_HOVER_INFO', 'Set/change the mapping template for this category');
define('TEXT_CATEGORY_MANAGE_MAPPING_TEMPLATES_HOVER_INFO', 'Set/change the mapping templates for this category');

/**
 * Defines for the product listing section
 */
define('TEXT_PRODUCT_MAPPINGS_TITLE', 'Product Mappings');

define('TEXT_PRODUCTS_IN_CATEGORY2', 'Products in category &ldquo;%s&rdquo;');

define('TEXT_SELECTED_PRODUCTS', 'Selected products');
define('TEXT_INC_DISABLED_PRODUCTS', 'Include disabled products');

define('TEXT_AUTOGENERATE_PRODUCTS_URI_MAPPINGS_BUTTON_HOVER_INFO', 'Click this button to have the software generate URI Mappings for the selected products. Any existing mappings will remain unless the product name has changed, or the template mapping for the product\'s category has changed, in which case the respective mapping will be updated accordingly.');

define('TEXT_TICK_TO_SELECT_ALL_PRODUCTS', 'Tick this box to select all the products below');
define('TEXT_TICK_TO_DESELECT_ALL_PRODUCTS', 'Tick this box to deselect any products selected below');
define('TEXT_PRODUCT', 'Product');

define('TEXT_TICK_TO_SELECT_PRODUCT', 'Tick this box to include this product in the list of products to have their URI mappings auto-generated using the button at the top of this page.');

define('TEXT_PRODUCT_IS_DISABLED', 'Product is disabled');

define('TEXT_PRODUCT_MANAGE_MAPPING', 'URI Mapping');
define('TEXT_PRODUCT_MANAGE_MAPPINGS', 'URI Mappings');

define('TEXT_PRODUCT_MANAGE_MAPPING_HOVER_INFO', 'Manually edit the mapping for this product');
define('TEXT_PRODUCT_MANAGE_MAPPINGS_HOVER_INFO', 'Manually edit the mappings for this product');
